Bug 810311 - Hitting enter on login page is broken (JS error)
Hitting enter on login page is broken (JS error)
Status: VERIFIED
Product: JBoss Enterprise Portal Platform 5
Classification: JBoss
Component: Portal (Show other bugs)
5.2.1.ER03
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 5.2.1.CR02
Assigned To: Thomas Heute
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-05 11:12 EDT by Michal Vanco
Modified: 2013-04-30 19:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Commits:
8686 by theute at 2012-04-11 06:27:18 EDT (show)
8686 by theute at 2012-04-11 06:27:18 EDT

Checked in to /mnt/n4aphx2-3.storage.phx2.redhat.com/svn/repos/gatein

Bug 810311 - Hitting enter on login page is broken (JS error)

1 file changed:

  • epp/portal/branches/EPP_5_2_Branch/web/portal/src/main/webapp/login/jsp/login.jsp (+3 / -3)


Attachments (Terms of Use)
Patch to fix JS error with missing onclick, clickable area is better than with previous fix. (1.09 KB, patch)
2012-04-05 17:21 EDT, Michal Vanco
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBEPP-762 None Closed Sign-in button: Clickable area is much wider than the visible button 2012-04-17 04:39:41 EDT

  None (edit)
Description Michal Vanco 2012-04-05 11:12:41 EDT
There is a JS error at login page ():

uiPortalLoginFormAction.onclick is not a function
uiPortalLoginFormAction.onclick() ;


Steps to Reproduce:
1. Access login page, e.g. open portal, click Sign in, enter invalid values
2. Fill values in inputs and hit enter -> JS error in firebug, you have to use mouse to click on button
Comment 1 Michal Vanco 2012-04-05 17:01:17 EDT
This is caused by change https://source.jboss.org/changelog/GateIn?cs=8543 , related to JBEPP-762.
Comment 2 Michal Vanco 2012-04-05 17:21:31 EDT
Created attachment 575556 [details]
Patch to fix JS error with missing onclick, clickable area is better than with previous fix.

Revision https://source.jboss.org/changelog/GateIn?showid=8543 removed onclick function from parent div element which was too wide to click. Onclick function was added to link element (which was on the other side smaller than button)
Now onclick function was moved to table element - parent of link, there is no JS error anymore and whole button is clickable.
(this can be also fixed by adding new id of table element and change id in web/eXoResources/src/main/webapp/javascript/eXo/portal/UIPortalControl.js)

Note You need to log in before you can comment on or make changes to this bug.